---
lang: en
title: 'API docs: socketio.defaultsocketiosequence._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.defaultsocketiosequence._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [DefaultSocketIoSequence](./socketio.defaultsocketiosequence.md) &gt; [(constructor)](./socketio.defaultsocketiosequence._constructor_.md)

## DefaultSocketIoSequence.(constructor)

Constructs a new instance of the `DefaultSocketIoSequence` class

**Signature:**

```typescript
constructor(context: Context, controller: ControllerClass, invoke: SocketIoInvokeMethod, send: SocketIoSendMethod, reject: SocketIoRejectMethod);
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

context


</td><td>

[Context](./context.context.md)


</td><td>


</td></tr>
<tr><td>

controller


</td><td>

[ControllerClass](./core.controllerclass.md)


</td><td>


</td></tr>
<tr><td>

invoke


</td><td>

[SocketIoInvokeMethod](./socketio.socketioinvokemethod.md)


</td><td>


</td></tr>
<tr><td>

send


</td><td>

[SocketIoSendMethod](./socketio.socketiosendmethod.md)


</td><td>


</td></tr>
<tr><td>

reject


</td><td>

[SocketIoRejectMethod](./socketio.socketiorejectmethod.md)


</td><td>


</td></tr>
</tbody></table>

